## tunneldigger 0.10

=== lib/Makefile ===
#! make

# Makefile - TunnelDigger central logic
#
#    Copyright (C) 2003 Kai Henningsen <kai@debian.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

LIB	:= /usr/lib/tunneldigger

################################################
#                                              #
# You should only need to configure this part: #
#                                              #
################################################

CANAME = $(shell hostname -f )
MAINT = $(shell $(LIB)/thisuser.pl)

################################################

WORK	:= $(shell pwd)
KEYS	:= $(WORK)/keys

PATH	:= $(LIB):/usr/local/bin:/usr/bin:/bin

HK = $(KEYS)/host
CA = $(KEYS)/ca

all: confess make.deps _OUTPUTS_
confess:
	@echo "CANAME='$(CANAME)' MAINT='$(MAINT)'"

make.deps: config *.alloc
	$(LIB)/parseconfig.pl config .

# dummy to get us started
*.alloc:
	touch empty.alloc

include make.deps

%.conf: %.link
	$(LIB)/confgen.pl $@ $^ $(CANAME)

%.conf.local: $(LIB)/LINK.local
	cp -avi $^ $@

$(CA)/$(CANAME).crt: $(LIB)/openssl.cnf
	$(LIB)/keygen.sh $^ "$(CANAME)" "CA only"

$(CANAME).global: $(LIB)/CA.global
	cp -avi $^ $@

$(HK)/%.crt $(HK)/%.key: $(LIB)/openssl.cnf
	$(LIB)/keygen.sh $^ "$(CANAME)" $*

%.deb:
	$(LIB)/makedeb "$(CANAME)" "$(MAINT)" $@ $^

=== debian/changelog ===
tunneldigger (0.10) unstable; urgency=low

  * adapt to newer OpenVPN
  * no single-session - doesn't seem to work
  * add hand-window of 600 (more reasonable than 60)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun,  4 Apr 2004 10:10:24 +0200

tunneldigger (0.9) unstable; urgency=low

  * do not use nobind

 -- Kai Henningsen <kai@khms.westfalen.de>  Fri, 19 Dec 2003 01:06:23 +0100

tunneldigger (0.8) unstable; urgency=low

  * really make makedeb not ask
  * need full path for config includes in confgen.pl

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 23:42:31 +0100

tunneldigger (0.7) unstable; urgency=low

  * need an additional chmod on the .deb
  * need to have dev-node defined
  * can only rename interface while down
  * need to use new name for ifconfig

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 23:15:09 +0100

tunneldigger (0.6) unstable; urgency=low

  * make sure keys are only accessible by user (and read-only on final host)

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:25:09 +0100

tunneldigger (0.5) unstable; urgency=low

  * explain how to customize CANAME and MAINT
  * add path for td-up (confgen.pl)
  * name daemon after peer, not self (confgen.pl)

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:18:19 +0100

tunneldigger (0.4) unstable; urgency=low

  * don't forget to erase the tmp directory before building a new package in
    it

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:00:07 +0100

tunneldigger (0.3) unstable; urgency=low

  * need to protet $/ assignment with local in parseconfig.pl
  * don't ask before overwriting .deb in makedeb
  * need to alloc ports under peer's name in parseconfig.pl

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 19:52:49 +0100

tunneldigger (0.2) unstable; urgency=low

  * clear environment in parseconfig.pl
  * add path to scripts in Makefile

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 19:38:32 +0100

tunneldigger (0.1) unstable; urgency=low

  * Initial Release.

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 17:04:04 +0100

=== debian/control ===
Source: tunneldigger
Section: net
Priority: optional
Maintainer: Kai Henningsen <kai@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: tunneldigger
Architecture: all
Depends: make, openssl, fakeroot, debhelper, ${perl:Depends}
Description: Configures OpenVPN tunnel networks
 TunnelDigger takes the approach of having a central administration
 directory somewhere, not necessarily on a host where OpenVPN actually runs.
 It creates a .deb for every OpenVPN-connected host under this administration
 containing all relevant config files, keys, and certificates (be careful how 
 you transport these to the host to use them!).
 The hosts using these configurations will also
 need the tunneldigger-utils package.
 .
 For an alternate approach, see  the carpaltunnel package.

Package: tunneldigger-utils
Architecture: all
Depends: openvpn (>= 1.5.0-2), net-tools, iproute
Description: Utilities for TunnelDigger-configured OpenVPN tunnels
 Currently, there is a PPP ip-up.d script, 
 and a OpenVPN "up" script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/tunneldigger-utils.sgml > tunneldigger-utils.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tunneldigger-utils.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tunneldigger-utils


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl usr/lib/tunneldigger
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
